# selenium.webdriver.safari.options

Classes

`Options`() |

class selenium.webdriver.safari.options.Options
  AUTOMATIC_INSPECTION = 'safari:automaticInspection'
  AUTOMATIC_PROFILING = 'safari:automaticProfiling'
  SAFARI_TECH_PREVIEW = 'Safari Technology Preview'
  automatic_inspection

    Get or Set Automatic Inspection value:

    ## Usage

    - Get

        - self.automatic_inspection

    - Set

        - self.automatic_inspection = value

    ## Parameters

    value: bool

  automatic_profiling

    Get or Set Automatic Profiling value:

    ## Usage

    - Get

        - self.automatic_profiling

    - Set

        - self.automatic_profiling = value

    ## Parameters

    value: bool

  BINARY_LOCATION_ERROR = 'Binary Location Must be a String'
  add_argument(argument) → None

    Adds an argument to the list.

    Args:

      - Sets the arguments

  property arguments
    Returns:

      A list of arguments needed for the browser.

  property capabilities
  enable_mobile(android_package: str | None = None, android_activity: str | None = None, device_serial: str | None = None) → None

    Enables mobile browser use for browsers that support it.

    Args:

      android_activity: The name of the android package to start

  ignore_local_proxy_environment_variables() → None

    By calling this you will ignore HTTP_PROXY and HTTPS_PROXY from being picked up and used.

  set_capability(name, value) → None

    Sets a capability.

  to_capabilities()

    Convert options into capabilities dictionary.

  browser_version

    Gets and Sets the version of the browser.

    ## Usage

    - Get

        - self.browser_version

    - Set

        - self.browser_version = value

    ## Parameters

    value: str

    ## Returns

    - Get

        - str

    - Set

        - None

  platform_name

    Gets and Sets name of the platform.

    ## Usage

    - Get

        - self.platform_name

    - Set

        - self.platform_name = value

    ## Parameters

    value: str

    ## Returns

    - Get

        - str

    - Set

        - None

  accept_insecure_certs

    Gets and Set whether the session accepts insecure certificates.

    ## Usage

    - Get

        - self.accept_insecure_certs

    - Set

        - self.accept_insecure_certs = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  strict_file_interactability

    Gets and Sets whether session is about file interactability.

    ## Usage

    - Get

        - self.strict_file_interactability

    - Set

        - self.strict_file_interactability = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  set_window_rect

    Gets and Sets window size and position.

    ## Usage

    - Get

        - self.set_window_rect

    - Set

        - self.set_window_rect = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  enable_bidi

    Gets and Set whether the session has WebDriverBiDi enabled.

    ## Usage

    - Get

        - self.enable_bidi

    - Set

        - self.enable_bidi = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  web_socket_url

    Gets and Sets WebSocket URL.

    ## Usage

    - Get

        - self.web_socket_url

    - Set

        - self.web_socket_url = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  page_load_strategy

    :Gets and Sets page load strategy, the default is “normal”.

    ## Usage

    - Get

        - self.page_load_strategy

    - Set

        - self.page_load_strategy = value

    ## Parameters

    value: str

    ## Returns

    - Get

        - str

    - Set

        - None

  unhandled_prompt_behavior

    :Gets and Sets unhandled prompt behavior, the default is “dismiss and notify”.

    ## Usage

    - Get

        - self.unhandled_prompt_behavior

    - Set

        - self.unhandled_prompt_behavior = value

    ## Parameters

    value: str

    ## Returns

    - Get

        - str

    - Set

        - None

  timeouts

    :Gets and Sets implicit timeout, pageLoad timeout and script timeout if set (in milliseconds)

    ## Usage

    - Get

        - self.timeouts

    - Set

        - self.timeouts = value

    ## Parameters

    value: dict

    ## Returns

    - Get

        - dict

    - Set

        - None

  proxy

    Sets and Gets Proxy.

    ## Usage

    - Get

        - self.proxy

    - Set

        - self.proxy = value

    ## Parameters

    value: Proxy

    ## Returns

    - Get

        - Proxy

    - Set

        - None

  enable_downloads

    Gets and Sets whether session can download files.

    ## Usage

    - Get

        - self.enable_downloads

    - Set

        - self.enable_downloads = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - bool

    - Set

        - None

  use_technology_preview

    Get and Set Technology Preview:

    ## Usage

    - Get

        - self.use_technology_preview

    - Set

        - self.use_technology_preview = value

    ## Parameters

    value: bool

  property default_capabilities: Dict[str, str]

    Return minimal capabilities necessary as a dictionary.